Bug 444577 - Optical drive HL-DT-ST DVDRAM GSA-T20N not detected on fedora 10 ( amilo xa 2528 and 2529)
Optical drive HL-DT-ST DVDRAM GSA-T20N not detected on fedora 10 ( amilo xa 2...
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
i686 Linux
low Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-04-29 06:44 EDT by nicolas
Modified: 2009-12-18 01:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-12-18 01:07:52 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
/var/log/messages (61.42 KB, text/plain)
2008-04-29 06:44 EDT, nicolas
no flags Details

  None (edit)
Description nicolas 2008-04-29 06:44:55 EDT
Description of problem:

I have a fujitsu siemens amilo xa 2529-7006 laptop with an internal dvd optical
drive from LG, model : HL-DT-ST DVDRAM GSA-T20N

I can boot but not install fedora, the drive seems to not be found after the
driver detection process ( before the launch of  anaconda).

I managed to run fedora 8 after a long netinstall ( about 3 hours ), but when I
boot fedora, I have a bunch of errors during 5 mins ( see attached file below. )
And then I can use fedora ( my dmesg is full of this errors anyway )

Version-Release number of selected component (if applicable):

Fedora core 8 Linux version
(mockbuild@xenbuilder2.fedora.redhat.com) (gcc version 4.1.2 20070925 (Red Hat
4.1.2-33)) #1 SMP Sat Mar 29 09:54:46 EDT 2008

How reproducible:

Just boot fc8 disc or fc9 disc to have the same errors
Actual results:

I must wait over 5 minutes to reach the login screen of fedora because I have
thoses errors when I boot.
I can't see the drive with fdisk -l

Expected results:

Using my optical drive to install linux / read dvd movies etc...

Additional info:

I have also a bios bug #81 found when I start fedora
Comment 1 nicolas 2008-04-29 06:44:55 EDT
Created attachment 304099 [details]
Comment 2 Dave Jones 2008-04-29 07:04:24 EDT
The drive reporting diagnositic failure would seem indicative of a hardware
fault of some sort.

The BIOS bug is just that, nothing we can do about it (we work around it enough
already, we're just reporting that we did so).
Comment 3 nicolas 2008-04-29 07:14:13 EDT
This is a common problem with the amilo xa series.
The fujitsu amilo xa 2528 have the same problem (
http://forum.ubuntu-nl.org/message/214415 )
Comment 4 Dave Jones 2008-04-29 07:36:44 EDT
Follow-up sent to linux-ata@vger
Comment 5 nicolas 2008-04-29 13:45:31 EDT
Thank you dave.

I don't know why but I can run the fedora core 6 dvd installer without problem, 
my optical drive work like a charm ... but this is fedora core 6 :-/
Comment 6 nicolas 2008-04-30 06:43:36 EDT
Updated today to kernel #1 SMP Sat Apr 19 12:39:34 EDT 2008 i686
athlon i386 GNU/Linux, still no progress
Comment 7 Chuck Ebbert 2008-05-01 02:30:18 EDT
(In reply to comment #3)
> This is a common problem with the amilo xa series.
> The fujitsu amilo xa 2528 have the same problem (
> http://forum.ubuntu-nl.org/message/214415 )

That is reported as rawhide bug 441752
Comment 8 nicolas 2008-05-21 10:12:19 EDT
Could you update this bug for fedora 9 ? the problem still persist
Comment 9 nicolas 2008-11-11 05:40:14 EST
There is a fix for kernel 2.6.28-rc3 here :


Hope to see this fix on the next fedora release !
Comment 10 Bug Zapper 2008-11-25 21:14:29 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
Comment 11 Bug Zapper 2009-11-18 04:34:17 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
Comment 12 Bug Zapper 2009-12-18 01:07:52 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.